import { createWebHistory, createRouter } from "vue-router";
import LoginView from "../views/LoginView.vue";
import UserView from "../views/UserView.vue";
import TestView from "../views/TestView.vue";
import JtagTest from "../views/JtagTest.vue";
import ProjectView from "../views/ProjectView.vue";
import HomeView from "@/views/HomeView.vue";

const routes = [
  { path: "/", name: "Home", component: HomeView },
  { path: "/login", name: "Login", component: LoginView },
  { path: "/user", name: "User", component: UserView },
  { path: "/test", name: "Test", component: TestView },
  { path: "/test/jtag", name:"JtagTest", component: JtagTest},
  { path: "/project", name: "Project", component: ProjectView } // 新增工程界面
];

const router = createRouter({
  history: createWebHistory(),
  routes,
});

export default router;
