using Common;

namespace server.test;

public class CommonTest
{
    [Fact]
    public void ReverseBytesTest()
    {
        var rnd = new Random();
        var bytesLen = 8;
        var bytesArray = new byte[bytesLen];
        rnd.NextBytes(bytesArray);

        var rev2Bytes = new byte[] {
            bytesArray[1],
            bytesArray[0],
            bytesArray[3],
            bytesArray[2],
            bytesArray[5],
            bytesArray[4],
            bytesArray[7],
            bytesArray[6],
        };
        Assert.Equal(Number.ReverseBytes(bytesArray, 2).Value, rev2Bytes);

        var rev4Bytes = new byte[] {
            bytesArray[3],
            bytesArray[2],
            bytesArray[1],
            bytesArray[0],
            bytesArray[7],
            bytesArray[6],
            bytesArray[5],
            bytesArray[4],
        };
        Assert.Equal(Number.ReverseBytes(bytesArray, 4).Value, rev4Bytes);
    }
}
